summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-06-19 11:35:15 +0200
committerMichał Górny <mgorny@gentoo.org>2020-06-19 12:10:47 +0200
commit381d97d3fc0531c7293191aefd6aba52b3ee809d (patch)
tree47f26863f087045c4377da91ca468cd268d3183f /eclass
parentnet-fs/cvmfs: fix build with GCC 10 (diff)
downloadgentoo-381d97d3fc0531c7293191aefd6aba52b3ee809d.tar.gz
gentoo-381d97d3fc0531c7293191aefd6aba52b3ee809d.tar.bz2
gentoo-381d97d3fc0531c7293191aefd6aba52b3ee809d.zip
distutils-r1.eclass: Set min nose/pytest versions
Require minimum nose/pytest versions in distutils_enable_tests. This should save us some annoying bug reports from outdated systems. Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/distutils-r1.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index 8fa343ae75f..d29abf71fe3 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -403,13 +403,13 @@ distutils_enable_tests() {
local test_pkg
case ${1} in
nose)
- test_pkg="dev-python/nose"
+ test_pkg=">=dev-python/nose-1.3.7-r4"
python_test() {
nosetests -v || die "Tests fail with ${EPYTHON}"
}
;;
pytest)
- test_pkg="dev-python/pytest"
+ test_pkg=">=dev-python/pytest-4.5.0"
python_test() {
pytest -vv || die "Tests fail with ${EPYTHON}"
}